gnomevfs.DirectoryHandle
Prev | The gnomevfs class reference | Next

## gnomevfs.DirectoryHandle

gnomevfs.DirectoryHandle — iterator object for reading directories

## Synopsis

    class gnomevfs.DirectoryHandle:
        gnomevfs.DirectoryHandle(uri, options=gnomevfs.DIRECTORY_VISIT_DEFAULT)
        def next()

## Description

## Constructor

        gnomevfs.DirectoryHandle(uri, options=gnomevfs.DIRECTORY_VISIT_DEFAULT)

`uri`: | gnome-vfs URI to open
`options`: | Or'd set of directory visit flags.
Returns: | the new `gnomevfs.DirectoryHandle`

Open the directory specified by `uri`.

## Methods

### gnomevfs.DirectoryHandle.next

        def next()

Returns : | A gnomevfs.FileInfo describing the next directory entry.

Read the next directory entry.

Prev | Up | Next
gnomevfs.Context | Home | gnomevfs.Drive